%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pkgconfig
Version:       1.5.5
Release:       4mamba
Summary:       A Python module to interface with the pkg-config command line tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pkgconfig/
Source:        https://pypi.debian.net/pkgconfig/pkgconfig-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pkgconfig-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.5.5-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Jul 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.5-3mamba
- rebuilt with python 3.10

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.5-2mamba
- rebuilt with distdeps

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Thu Oct 01 2020 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- package created using the webbuild interface
